import { styled } from "styled-components";

const BlueButton = styled.button`
    background: white;
    border: 2px solid royalblue;
    border-radius: 12px;
    color: royalblue;
    font-weight: 600;
    line-height: 20px;
    transition: 150ms ease;
    width: 100%;
    font-size: 10.5pt;
    height: 36px;
    padding: 6px 10px;
    clip-path: border-box;
    box-sizing: border-box;

    & svg {
        fill: royalblue;
        margin: 0;
        margin-right: 6px;
        transform: translateY(2px);
    }

    &:hover {
        color: white;
        background: royalblue;
    }
    &:hover svg {
        fill: white
    }
`;

export default BlueButton;